LinuxQuestions.org
Review your favorite Linux distribution.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 06-19-2010, 02:51 AM   #1
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 7,097

Rep: Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174
it's -current time! (+pssh small bug)


http://slackware.com/changelog/current.php?cpu=x86_64

the -current branch is on the loose!

I take the opportunity to point out a small bug I wrote about Pat two weeks ago (probably he has a very busy mailbox ) that interests pssh users (I hope someone here can report him in a better way):

Code:
$ pssh
Traceback (most recent call last):
  File "/usr/bin/pssh", line 23, in <module>
    from psshlib import psshutil
ImportError: No module named psshlib
had a look at the slackbuild and changing this two lines
Code:
mkdir -p $PKG/$PREFIX/lib${LIBDIRSUFFIX}
cp -a psshlib $PKG/$PREFIX/lib${LIBDIRSUFFIX}/.
with
Code:
mkdir -p $PKG/$PREFIX/lib${LIBDIRSUFFIX}/python2.6
cp -a psshlib $PKG/$PREFIX/lib${LIBDIRSUFFIX}/python2.6/.
seems to fix things.

thanks to Pat and the slackware people for the new -current!
now I have my favourite playground.

Last edited by ponce; 06-19-2010 at 01:26 PM.
 
Old 06-19-2010, 05:42 AM   #2
GazL
LQ Veteran
 
Registered: May 2008
Posts: 6,897

Rep: Reputation: 5018Reputation: 5018Reputation: 5018Reputation: 5018Reputation: 5018Reputation: 5018Reputation: 5018Reputation: 5018Reputation: 5018Reputation: 5018Reputation: 5018
From experience I can say that though Pat often doesn't write back to you, your patches will show up eventually. With a couple of mine last cycle it was a couple of months before they showed up. I suspect Pat puts some of the mail he gets in a when-I-get-around-to-it folder. It's a bit off-putting when you don't get a response to your mail but I imagine the poor guy's inbox is overflowing most mornings so I don't hold it against him.
 
Old 06-19-2010, 10:18 AM   #3
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 7,097

Original Poster
Rep: Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174Reputation: 4174
yes, no prob at all for me

just pointing it out for any other pssh user
 
Old 06-19-2010, 12:32 PM   #4
fskmh
Member
 
Registered: Jun 2002
Location: South Africa
Distribution: Custom slackware64-current
Posts: 307

Rep: Reputation: 92
I would suggest replacing the static version info with something more abstract. After fiddling with python -V, python -c "import sys; print sys.path.lib" and python-config, I came up with this diff for pssh.SlackBuild:

Code:
--- pssh.SlackBuild     2010-06-19 19:28:29.000000000 +0200
+++ pssh.SlackBuild     2010-06-19 19:30:04.000000000 +0200
@@ -23,7 +23,7 @@
 # required: package "python" version 2.2 or higher installed
 
 VERSION=2.1.1
-BUILD=1
+BUILD=2
 
 # Note that the package will be created as 'noarch' !
 # Automatically determine the architecture we're building on:
@@ -44,6 +44,12 @@
   LIBDIRSUFFIX=""
 fi
 
+PYMAJOR=`python-config --libs | awk -Fpython '{print $2}'`
+if [ -z ${PYMAJOR} ]; then
+  echo "Could not determine major version of Python - bailing."
+  exit 1
+fi
+
 CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-pssh
@@ -77,8 +83,8 @@
   touch ${library}c
 done
 
-mkdir -p $PKG/$PREFIX/lib${LIBDIRSUFFIX}
-cp -a psshlib $PKG/$PREFIX/lib${LIBDIRSUFFIX}/.
+mkdir -p $PKG/$PREFIX/lib${LIBDIRSUFFIX}/python${PYMAJOR}
+cp -a psshlib $PKG/$PREFIX/lib${LIBDIRSUFFIX}/python${PYMAJOR}/.
 
 mkdir -p $PKG/$PREFIX/doc/pssh-$VERSION
 cp -a \
 
Old 06-19-2010, 04:22 PM   #5
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 8,559

Rep: Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106
Determining the version of python is as simple as calling:
Code:
python -c 'import sys; print sys.version[:3]'
Eric
 
Old 06-19-2010, 04:52 PM   #6
fskmh
Member
 
Registered: Jun 2002
Location: South Africa
Distribution: Custom slackware64-current
Posts: 307

Rep: Reputation: 92
Ah now that's the better method I was fiddling around to try and find. Thanks.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
A small bug in Slackware 13.0 lchxr Slackware 1 11-03-2009 07:56 AM
[BUG] Current pkgtools installpkg bug jazzor Slackware 7 04-16-2009 05:30 AM
A bug about QT in current zhoun Slackware 5 03-15-2009 09:14 PM
Is this a bug in current? slackware_newbie Slackware 3 09-19-2006 01:46 PM
Small bug with LQ search bp12345 LQ Suggestions & Feedback 8 08-09-2005 12:32 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 02:41 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration